#include "triangles.h"
#include<bits/stdc++.h>
#define ll long long

using namespace std;

vector<vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    vector<Triangle> x = {Triangle(1, 2, 3), Triangle(0, 2, 3), Triangle(0, 1, 3), Triangle(0, 1, 2)};
    ll ind = -1;
    for (ll i = 0; i < 4; i++) {
        vector<Triangle> f = {x[i]};
        vector<Triangle> s = {};
        for (ll j = 0; j < 4; j++) {
            if (i == j) continue;
            s.push_back(x[j]);
        }
        int compare_result = compare(f, s);
        if (compare_result == 0) {
            ind = i;
            vector<vector<int>> a(3, {(int)ind});
            vector<int> v;
            for (ll j = 0; j < 4; j++) {
                if (i == j) continue;
                v.push_back(j);
            }
            ll g = 0;
            for (ll j = 0; j < 4; j++) {
                if (i == j) continue;
                for (ll h = 0; h < 4; h++) {
                    if (h == i || h == j) continue;
                    a[g].push_back(h);
                }
                g++;
            }
            return a;
        }
    }
    vector<vector<int>> a(1, {0, 1, 2, 3});
    return a;
    //vector<Triangle> right = {Triangle(0, 1, 2)};
    //int compare_result = compare(left, right);
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.

    // Example of return:
    // Пример возвращаемого значения:
}
